@import "color_variables"

html

  --color-background-red: #{color("red", "base")}
  --color-background-red-transparent: #{rgba(color("red", "base"), 0.3)}
  --color-background-green: #{color("light-green", "accent-3")}
  --color-background-green-transparent: #{rgba(color("light-green", "accent-3"), 0.3)}
  --color-background-team-0: #{color("materialize-red", "darken-3")}
  --color-font-team-0: #{color("shades", "white")}
  --color-background-team-1: #{color("orange", "base")}
  --color-font-team-1: #{color("shades", "black")}

  &[theme="dark"]
    --color-background: #{color("blue-grey", "darken-4")}
    --color-elevation-10: #{color("blue-grey", "darken-3")}
    --color-elevation-100: #{color("blue-grey", "darken-2")}
    --color-font: #{color("shades", "white")}
    --color-font-weaken: #{color("blue-grey", "lighten-4")}
    --color-font-accent: #{color("teal", "accent-1")}
    --color-border: #{color("light-blue", "darken-3")}
    --color-border-weaken: #{color("light-blue", "darken-4")}
    --color-border-accent: #{color("light-blue", "darken-1")}

  &[theme="light"]
    --color-background: #{color("grey", "lighten-4")}
    --color-elevation-10: #{color("grey", "lighten-5")}
    --color-elevation-100: #{color("shades", "white")}
    --color-font: #{color("shades", "black")}
    --color-font-weaken: #{color("grey", "darken-3")}
    --color-font-accent: #{color("blue", "darken-4")}
    --color-border: #{color("light-blue", "darken-3")}
    --color-border-weaken: #{color("light-blue", "darken-4")}
    --color-border-accent: #{color("light-blue", "darken-1")}

  &[theme="neon-blue"]
    --color-background: #1b4e96
    --color-elevation-10: #245fb2
    --color-elevation-100: #79a1d8
    --color-font: #ffffff
    --color-font-weaken: #dddddd
    --color-font-accent: #d73d6f
    --color-border: #517fbf
    --color-border-weaken: #517fbf
    --color-border-accent: #517fbf

  &[theme="material"]
    --color-background: #1d3140
    --color-elevation-10: #101c25
    --color-elevation-100: #2c4248
    --color-font: #a8b3bb
    --color-font-weaken: #65808e
    --color-font-accent: #bee28e
    --color-border: #164a4c
    --color-border-weaken: #164a4c
    --color-border-accent: #f7a503

  &[theme="violet"]
    --color-background: #2a2d40
    --color-elevation-10: #2e3347
    --color-elevation-100: #33354a
    --color-font: #8c96a2
    --color-font-weaken: #9192a4
    --color-font-accent: #d66486
    --color-border: #3c3e53
    --color-border-weaken: #3c3e53
    --color-border-accent: #8963ba

  &[theme="reddish"]
    --color-background: #52183b
    --color-elevation-10: #72154a
    --color-elevation-100: #844c5b
    --color-font: #fff
    --color-font-weaken: #dedede
    --color-font-accent: #FFD194
    --color-border: #9c4e76
    --color-border-weaken: #a07885
    --color-border-accent: #980748